Package com.independentsoft.office.drawing

# Class Offset

java.lang.Object
com.independentsoft.office.drawing.Offset

public class Offset extends Object
The Class Offset.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Offset()`
  Instantiates a new offset.
  `Offset​(long x, long y)`
  Instantiates a new offset.
  `Offset​(InternalXMLStreamReader reader)`
  Instantiates a new offset.
  `Offset​(Unit x, Unit y)`
  Instantiates a new offset.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Offset`
  `clone()`
  `Unit`
  `getX()`
  Gets the x.
  `Unit`
  `getY()`
  Gets the y.
  `void`
  `setX​(Unit x)`
  Sets the x.
  `void`
  `setY​(Unit y)`
  Sets the y.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Offset

    public Offset()
    Instantiates a new offset.

  - ### Offset

    public Offset​(Unit x, Unit y)
    Instantiates a new offset.
    Parameters:
      `x` - the x
      `y` - the y

  - ### Offset

    public Offset​(long x, long y)
    Instantiates a new offset.
    Parameters:
      `x` - the x
      `y` - the y

  - ### Offset

    public Offset​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new offset.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public Offset clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getX

    public Unit getX()
    Gets the x.
    Returns:
      the x

  - ### setX

    public void setX​(Unit x)
    Sets the x.
    Parameters:
      `x` - the new x

  - ### getY

    public Unit getY()
    Gets the y.
    Returns:
      the y

  - ### setY

    public void setY​(Unit y)
    Sets the y.
    Parameters:
      `y` - the new y